PATCH /api/organizations/{org_id}/members/{user_id}
Update a member's role in an organization. Permission rules: - Admins can change roles of regular members to Admin or Member - Admins cannot modify other Admins or Owners - Owners can change roles of Admins and Members to any role (Owner, Admin, Member) - Owners cannot modify other Owners Members cannot modify their own role. The last owner cannot be demoted.
Parameters
| Name | In | Type | Required | Description |
|---|
org_id | path | string | yes | — |
user_id | path | string | yes | — |
X-Org-Id | header | `string | null` | no |
Request body
| Field | Type | Required | Description |
|---|
role | `string | null` | no |
Responses
| Status | Description |
|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|
user_id | string | yes | — |
email | `string | null` | yes |
role_id | integer | yes | — |
role | string | yes | — |
role_rank | integer | yes | — |
status | `string | null` | yes |
Operation ID: update_org_member_api_organizations__org_id__members__user_id__patch